- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#body.ListRecentUpdateEventsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#body.aspect)
- [RecentUpdateEvent](https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#RecentUpdateEvent)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#RecentUpdateEvent.SCHEMA_REPRESENTATION)
- [UpdateType](https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#UpdateType)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#try-it)

Lists update events for eligible apps in the given time range.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/appstorecatalog/{appStorePackageName}/recentUpdateEvents`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `appStorePackageName` | `string` Required. The package name of the app store on behalf of which the request is made. |

### Query parameters

| Parameters ||
|---|---|
| `startTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. The start time of the range (inclusive). Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `endTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. The end time of the range (exclusive). Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `pageSize` | `integer` Optional. The maximum number of update events to return. The service may return fewer than this value. If unspecified, at most 100 update events will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `recentUpdateEvents.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `recentUpdateEvents.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for recentUpdateEvents.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "recentUpdateEvents": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#RecentUpdateEvent`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `recentUpdateEvents[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#RecentUpdateEvent`)`` The list of recent update events. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## RecentUpdateEvent

A recent update event.

| JSON representation |
|---|
| ``` { "playAppPackageName": string, "eventTime": string, "updateType": enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#UpdateType`) } ``` |

| Fields ||
|---|---|
| `playAppPackageName` | `string` The package name of the app. |
| `eventTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` The timestamp of the update. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `updateType` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/appstorecatalog.recentUpdateEvents/list#UpdateType`)`` The type of the update event. |

## UpdateType

The type of update event.

| Enums ||
|---|---|
| `UPDATE_TYPE_UNSPECIFIED` | Default value. This value is not used. |
| `MODIFICATION` | The app was modified. |
| `DELETION` | The app stopped being eligible for catalog inclusion or was removed from the Play Store. |